OpenVDB 11.0.0

Loading...
Searching...
No Matches
Mat4.h File Reference
`#include <openvdb/Exceptions.h>`
`#include <openvdb/Platform.h>`
`#include "Math.h"`
`#include "Mat3.h"`
`#include "Vec3.h"`
`#include "Vec4.h"`
`#include <algorithm>`
`#include <cassert>`
`#include <iomanip>`
`#include <cmath>`

Go to the source code of this file.

## Classes
class | Mat4< T >
| 4x4 -matrix class. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::math

## Typedefs
using | Mat4s = Mat4<float>
using | Mat4d = Mat4<double>
using | Mat4f = Mat4d

## Functions
template<typename T0, typename T1>
Vec3< T1 > | transformNormal (const Mat4< T0 > &m, const Vec3< T1 > &n)
template<typename T>
bool | isAffine (const Mat4< T > &m)
template<typename T>
bool | hasTranslation (const Mat4< T > &m)
template<typename T>
Mat4< T > | Abs (const Mat4< T > &m)
template<typename Type1, typename Type2>
Mat4< Type1 > | cwiseAdd (const Mat4< Type1 > &m, const Type2 s)
template<typename T>
bool | cwiseLessThan (const Mat4< T > &m0, const Mat4< T > &m1)
template<typename T>
bool | cwiseGreaterThan (const Mat4< T > &m0, const Mat4< T > &m1)
template<>
math::Mat4s | zeroVal< math::Mat4s > ()
template<>
math::Mat4d | zeroVal< math::Mat4d > ()